<template>
    <v-container>
    <v-row justify="center">
      <v-col cols="12" sm="6" md="4" lg="3" v-for="player in infoPlayers" :key="player.id">
        <v-card class="match-card">
    
    <v-card-title>{{ player.player.nome }} ({{ player.player.nick }})</v-card-title>
    <v-img :src="player.player.avatar" height="150px" contain></v-img>
    <v-card-text>
      <div v-if="player.win" class="result win">WIN</div>
      <div v-else class="result loss">LOSS</div>
      <div class="score">{{ player.kills }}/{{ player.deaths }}/{{ player.assists }}</div>
      <div class="hero-image-container">
        <v-img :src="player.heroUrl" class="hero-image" contain></v-img>
      </div>
      <div class="time">{{ timePassedInMinutes(player.date) }}</div>
    </v-card-text>
  </v-card>
      </v-col>
    </v-row>
  </v-container>

</template>

<script>
import axios from 'axios'
import Vue from 'vue'
export default {
  name: 'Home',
  props: {
    msg: String
  },
  data:() => ({
    key1:20,
    key2:50,
      infoPlayers: [],
    }),
    computed:{
      timePassedInMinutes(){
        return (date) => {
          const startDate = new Date(date);
          const endDate = new Date();
          const diffInMilliseconds = endDate - startDate;
          const diffInMinutes = Math.floor(diffInMilliseconds / 1000 / 60);

          if (diffInMinutes < 60) {
          return `Há ${diffInMinutes} minutos`;
        } else {
          const diffInHours = Math.floor(diffInMinutes / 60);
          const remainingMinutes = diffInMinutes % 60;
          return `Há ${diffInHours} horas e ${remainingMinutes} minutos`;
        }
        }
      }
    },
    mounted(){
      axios.get('http://ec2-3-145-66-12.us-east-2.compute.amazonaws.com:8080/match/recent')
      .then(response => {
        console.log(response)
        Vue.set(this, 'infoPlayers', response.data) 
      })
  }
}
</script>
<style scoped>

.match-card {
  width: 300px;
  margin: 10px;
}

.result {
  font-weight: bold;
  font-size: large;
}

.win {
  color: green;
}

.loss {
  color: red;
}

.score {
  font-size: large;
  font-weight: 100;
  margin: 10px 0;
}

.hero-image-container {
  margin-bottom: 10px;
}

.hero-image {
  margin-left: 4rem;
  width: 50%;
}

.time {
  text-align: right;
  font-size: 14px;
  color: gray;
}
</style>
